/* eslint-disable max-len */
import dutchMessages from 'ra-language-dutch'

const nl = {
  label: {
    name: 'Naam',
    description: 'Omschrijving',
    required: 'Verplicht veld',
    type: 'Type',
    options: 'Opties',
    id: 'Identificatie',
    sortOrder: 'Sortering',
    archived: 'Gearchiveerd',
  },
  value: {
    string: 'Tekstveld klein',
    text: 'Tekstveld groot',
    select: 'Enkelvoudige keuze',
  },
  login: {
    login: 'Login',
    loginToContinue: 'Log in om verder te gaan',
    succesfulLogin: 'Je bent succesvol ingelogd!',
    getUserInfo: 'Een moment geduld, we halen nu je gebruikers informatie op.',
    email: 'Email',
    emailHint: 'Vul je emailadres in om door te gaan.',
    hint: 'Log in om verder te gaan',
    loginCompleted: 'Succesvol ingelogd!',
    fetchUserInfo: 'Een moment geduld, we halen je gebruikersinformatie op.',
    incognitoError: 'Authenticatie niet mogelijk in incognito mode',
    unknownOrganizationId: 'Het opgegeven organisatie-id is onbekend',
  },
  cases: {
    openCases: 'Lopende zaken',
    id: 'Id',
    omschrijving: 'Omschrijving',
    status: 'Status',
    registratiedatum: 'Registratiedatum',
    zaaktype: 'Zaaktype',
    einddatum: 'Einddatum',
    documents: 'Documenten',
    title: 'Titel',
    url: 'Url',
    uploadDocument: 'Upload document',
    uploadDocumentDescription: 'Met onderstaande knop voegt u een bestand toe aan deze zaak. u kunt maximaal 1 bestand tegelijk uploaden.',
    uploadButton: 'Uploaden',
    fileUploaded: 'Het bestand is aan de zaak toegevoegd.',
    isUploading: 'Uw document wordt geupload. Wacht tot de upload is voltooid om een volgend document te uploaden.',
    uploadInstructions: 'U kunt een bestand van maximaal 50mb uploaden. Toegestane bestandstypes zijn; afbeeldingen, tekst-, audio- en video-bestanden, pdf, json, xml, excel, powerpoint en zip.',
    downloadButton: 'Download bestand'
  },
  warnings: {
    notAuthorized: 'U heeft onvoldoende rechten om deze pagina te bekijken',
    casesError: 'Er ging iets fout tijdens het laden van uw zaken.',
    unsupportedMimeType: 'Dit bestand kan niet toegevoegd worden omdat het bestandstype niet ondersteund wordt. Voeg een ander bestand toe',
    fileSizeToBig: 'Dit bestand is te groot om toegevoegd te worden. Voeg een kleiner bestand toe.',
    uploadFailed: 'Het is niet gelukt het bestand te uploaden. Neem contact op als het probleem blijft bestaan.',
    downloadFailed: 'Er ging iets mis tijdens het downloaden van het bestand. Neem contact op als het probleem blijft bestaan.'
  },
  errors: {
    accessDenied: 'Authenticatie mislukt, u heeft geen toegang',
    invalidUserPassword: 'De gebruikersnaam of het wachtwoord is ongeldig',
    mfaInvalidCode: 'De code is verlopen of niet meer geldig',
    mfaRegistrationRequired: 'MFA registratie nodig om in te kunnen loggen',
    mfaRequired: 'MFA nodig om in te kunnen loggen',
    passwordLeaked: 'Wachtwoord is gelekt, verander het wachtwoord',
    PasswordHistoryError:
      'Het opgegeven wachtwoord is al eerder gebruikt, kies een ander wachtwoord',
    PasswordStrengthError:
      'Het wachtwoord is te zwak kies een sterker wachtwoord',
    tooManyAttempts:
      'Het account is geblokkeerd omdat er tevaak is ingelogd met verkeerde gegevens',
    unauthorized:
      'U bent niet bevoegd om deze applicatie te gebruiken, uw account is geblokkeerd',
    invalidState: 'Authenticatie mislukt, log opnieuw in',
    unknown: 'Authenticatie mislukt',
  },
  cancel: 'Anulleren',
  submit: 'Verzenden',
}

export const i18nDutch = {
  ...(dutchMessages as { [key: string]: string }),
  ...nl,
  cancel: 'Annuleren',
  createdAt: 'Aanmaakdatum',
  id: 'Identificatie',
  status: 'Status',
  summary: 'Samenvatting',
  formSource: 'Bron formulier',
  name: 'Naam',
  value: 'Waarde',
  description: 'Omschrijving',
  regex: 'Reguliere expressie',
  type: 'Instellingstype',
  lastModified: 'bijgewerkt op',
  forms: 'Formulieren',
  requests: 'Inzendingen',
  settings: 'Instellingen',
  targetAudience: 'Doelgroepen',
  general: 'Algemeen',
  layout: 'Opmaak',
  loginMethods: 'Inlog methodes',
  anonymous: 'Annoniem',
  digId: 'DigId',
  filters: 'Filters',
  cssSettings: {
    title: 'Specifieke css voor de organisatie',
    description:
      'In onderstaande editor kunt u met scss de styling van uw formulieren overschrijven.' +
      'Meer informatie over sccs en de css classen die in de formulier app worden gebruikt vind u in de xxllnc Wiki.',
    darkMode: 'Dark mode',
    diff: 'Vergelijk',
    hasErrors:
      'De ingevoerde scss is ongeldig. Herstel de waarschuwing in het bestand.',
    saved: 'De wijzigingen zijn opgeslagen',
    import: 'Importeer',
    importDialogTitle: 'Importeer scss',
    importError: 'Het bestand kon niet geïmporteerd worden',
    exportError:
      'Er ging iets mis. Neem contact op als het probleem blijft bestaan.',
    exportedMessage: 'Scss geëxporteerd',
  },
  share: {
    shareButton: 'Delen',
    dialogTitle: 'Delen met andere organisaties',
    organization: 'Organisatie',
    shareOptions: 'Deel opties',
    remove: 'Verwijderen',
    VIEWER: 'Lees rechten',
    EDITOR: 'Schrijf rechten',
    OWNER: 'Eigenaar',
    done: 'Klaar',
  },
  requestPage: {
    title: 'Inzendingen',
    date: 'Registratie datum',
    status: 'Status',
    submitter: 'Indiener',
    organization: 'Organisatie',
    content: 'Formulier content',
  },
  generalError: 'Er ging iets mis tijdens het versturen van de data',
}
